org.keycloak.adapters.wildfly

## Class WildflyRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.undertow.UndertowRequestAuthenticator
    - - org.keycloak.adapters.undertow.ServletRequestAuthenticator
      - - org.keycloak.adapters.wildfly.WildflyRequestAuthenticator

-     public class WildflyRequestAuthenticator
      extends ServletRequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `log`

    - ### Fields inherited from class org.keycloak.adapters.undertow.UndertowRequestAuthenticator

      `exchange, securityContext, userSessionManagement`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, sslRedirectPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildflyRequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, int sslRedirectPort, io.undertow.security.api.SecurityContext securityContext, io.undertow.server.HttpServerExchange exchange, UndertowUserSessionManagement userSessionManagement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Group` | `createGroup(String name, Set<Principal> principals)`
    `protected Principal` | `getPrincipal(Subject subject)` Get the Principal given the authenticated Subject.
    `protected Group[]` | `getRoleSets(Collection<String> roleSet)`
    `protected void` | `propagateKeycloakContext(KeycloakUndertowAccount account)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.ServletRequestAuthenticator

      `createAccount, isCached, login`

    - ### Methods inherited from class org.keycloak.adapters.undertow.UndertowRequestAuthenticator

      `completeBearerAuthentication, completeOAuthAuthentication, createOAuthAuthenticator`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### WildflyRequestAuthenticator

          public WildflyRequestAuthenticator(HttpFacade facade,
                                     KeycloakDeployment deployment,
                                     int sslRedirectPort,
                                     io.undertow.security.api.SecurityContext securityContext,
                                     io.undertow.server.HttpServerExchange exchange,
                                     UndertowUserSessionManagement userSessionManagement)

  - ### Method Detail

    - #### propagateKeycloakContext

          protected void propagateKeycloakContext(KeycloakUndertowAccount account)

      Overrides:
        `propagateKeycloakContext` in class `ServletRequestAuthenticator`

    - #### getPrincipal

          protected Principal getPrincipal(Subject subject)

      Get the Principal given the authenticated Subject. Currently the first subject that is not of type `Group` is considered or the single subject inside the CallerPrincipal group.
      Parameters:
        `subject` -
      Returns:
        the authenticated subject

    - #### createGroup

          protected Group createGroup(String name,
                          Set<Principal> principals)

    - #### getRoleSets

          protected Group[] getRoleSets(Collection<String> roleSet)

Copyright © 2014. All Rights Reserved.